Bug 1334320 - micropython is FTBFS on secondary arches
Summary: micropython is FTBFS on secondary arches
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: micropython
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mairi Dulaney
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker ZedoraTracker PPCTracker
TreeView+ depends on / blocked
 
Reported: 2016-05-09 11:44 UTC by Dan Horák
Modified: 2017-08-08 14:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 14:26:41 UTC


Attachments (Terms of Use)

Description Dan Horák 2016-05-09 11:44:22 UTC
micropython fails to build on secondary arches with

...
build/py/builtinimport.o: In function `do_load':
(.text+0x194): undefined reference to `mp_raw_code_load_file'
collect2: error: ld returned 1 exit status
../py/mkrules.mk:109: recipe for target 'micropython' failed
make: *** [micropython] Error 1
...

for full logs please see http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2216084 or http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3350309 or http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=3527903

Version-Release number of selected component (if applicable):
micropython-1.8-1.fc25

Comment 1 Rafael Fonseca 2016-05-09 11:53:14 UTC
(In reply to Dan Horák from comment #0)
> micropython fails to build on secondary arches with
> 
> ...
> build/py/builtinimport.o: In function `do_load':
> (.text+0x194): undefined reference to `mp_raw_code_load_file'
> collect2: error: ld returned 1 exit status
> ../py/mkrules.mk:109: recipe for target 'micropython' failed
> make: *** [micropython] Error 1
> ...
> 
> for full logs please see
> http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2216084 or
> http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3350309 or
> http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=3527903
> 
> Version-Release number of selected component (if applicable):
> micropython-1.8-1.fc25

It seems there is no check for powerpc or s390 when defining that function. From emitglue.c:

// here we define mp_raw_code_load_file depending on the port
// TODO abstract this away properly

#if defined(__i386__) || defined(__x86_64__) || (defined(__arm__) && (defined(__unix__)))

Comment 2 Peter Robinson 2016-05-09 12:02:45 UTC
I had blocked in koji-shadow it as it is designed to run on tiny processors like the ARM Cortex-M series (see BBC:microbit as an example device) so it likely should have appropriate excludearches set

Comment 3 Mairi Dulaney 2016-05-10 00:34:15 UTC
I'm going to see what upstream wants to do.

Comment 4 Fedora End Of Life 2017-07-25 20:42:22 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-08-08 14:26:41 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.